Page MenuHomeFreeBSD

Drop z_stream zbuf.state->dummy from SDT probe.
ClosedPublic

Authored by ota_j.email.ne.jp on May 10 2019, 12:15 AM.

Details

Summary

First field of deflate.c's private internal_state structure points to an union field and not much useful to monitor.
This zlib internal_state structure with dummy field is only defined in FreeBSD version and for upgrading to zlib version in kernel.

Given one field is removed, use the macro takes 6 arguments.

Test Plan

dtrace -l

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Harbormaster completed remote builds in B24182: Diff 57244.
ota_j.email.ne.jp edited the summary of this revision. (Show Details)May 10 2019, 10:05 AM
ota_j.email.ne.jp added reviewers: kib, delphij.
ota_j.email.ne.jp planned changes to this revision.May 13 2019, 10:46 AM

It looks I can put 2 versions of zlib into kernel.
Let's wait and see.

delphij accepted this revision.May 13 2019, 3:55 PM

I think this can go independently with other changes: is there some reason that you would like to wait instead of proceeding?

ota_j.email.ne.jp edited the summary of this revision. (Show Details)May 14 2019, 2:35 AM
ota_j.email.ne.jp updated this revision to Diff 57382.

Delete comments about usage of STD_PROBE5.

Exclude unintended files... :(

I was able to link both old and new versions of zlib at same time over weekend.
So, this change became no longer immediate blocker.
I thought it would be nicer to address zlib conversion in a single commit instead of two commits once upon time.

On the other hand, I think this change itself is a good improvement and fix for using the same probe for multiple cases.
If the maintainer is happy with this change alone, I'm also happy to go this in.
Based on MAINTAINERS file, jmg is the owner.

Is this something we need to mention in UPDATING file?

+markj and bz@ for the DTrace probe.

@jmg -- do you have any objection with the proposed change?

delphij accepted this revision.May 14 2019, 6:07 PM

LGTM.

This revision is now accepted and ready to land.May 14 2019, 6:07 PM
This revision was automatically updated to reflect the committed changes.